#!/bin/bash
# plymouth spinner для ROSA. Используется логотип РОСА.
# plymouth-theme-spinner должен быть установлен.
# файлы system-logo-white.png и spinner.plymouth скопировать в 
# /usr/share/pixmaps/system-logo-white.png
# /usr/share/plymouth/themes/spinner/spinner.plymouth
# после копирования выбрать тему spinner и обновить initrd
# командой sudo plymouth-set-default-theme -R spinner

sudo dnf install plymouth-theme-spinner
sudo cp spinner.plymouth /usr/share/plymouth/themes/spinner/
sudo cp system-logo-white.png /usr/share/pixmaps/
sudo plymouth-set-default-theme -R spinner
echo Plymouth установлен.
echo Нажмите Enter для выхода.
read

# чтобы вернуть оригинальный plymouth, ввести в терминал
# sudo plymouth-set-default-theme -R Rosa-EE

